Linked by Thom Holwerda on Sat 26th Mar 2011 02:00 UTC
Mac OS X When you run smbd -V on your Snow Leopard installation, you'll see it's running SAMBA version 3.0.28a-apple. While I'm not sure how much difference the "-apple" makes, version 3.0.28a is old. Very old. In other words, it's riddled with bugs. Apple hasn't updated SAMBA in 3 years, and for Lion, they're dumping it altogether for something homegrown. The reason? SAMBA is now GPLv3.
Permalink for comment 467972
To read all comments associated with this story, please click here.
RE[2]: ...
by oiaohm on Sat 26th Mar 2011 12:07 UTC in reply to "RE: ..."
oiaohm
Member since:
2009-05-30

"So, it is a fork of SAMBA? so it is a open source also?


Not, it is a compliant version for SMB2

http://en.wikipedia.org/wiki/Server_Message_Block#SMB2

It's Cocoa APIs for SMB2 to be current with Microsoft's standard.
"
Confirmed by test cases written by Samba.

For the simple reason MS SMB2 documents don't match the real world implementation.

MS was forced to hand over there alteration documentation to Samba and IBM. For the simple reason SMB is not MS protocol. It is IBM's. This includes the SMB2 alterations.

MS also has to attend the compatibility test meeting of implementations of SMB protocols hosted by Samba.

So no matter what Apple will still have to do business with Samba. Might not be using Samba code but hey.

MS is not in charge of certificating if something is SMB 2 or not.

Reply Parent Score: 2